# 24 使用较大的轴标签

> 原文： [https://serialmentor.com/dataviz/small-axis-labels.html](https://serialmentor.com/dataviz/small-axis-labels.html)

如果你只拿走本书中的一节课，那么就这样做：注意轴标签，轴刻度标签和其他各种绘图注释。他们的机会太小了。根据我的经验，几乎所有的绘图库和图形软件都有很差的默认值。如果你使用默认值，你几乎肯定做出了糟糕的选择。

例如，考虑图 24.1 。我一直看到这样的数字。轴标签，轴刻度标签和图例标签都非常小。我们几乎看不到它们，我们可能需要放大页面来阅读图例中的注释。

![](img/e7e8bd3460311860e6eaad196d30bb59.jpg)

图 24.1：澳大利亚职业男运动员的体脂百分比与身高的关系。 （每个点代表一名运动员。）这个数字受到共同的痛苦，即文本元素太小而且几乎不易辨认。数据来源：特尔福德和坎宁安（ [1991](#ref-Telford-Cunningham-1991) ）

该图的一个更好的版本如图 24.2 所示。我认为字体仍然太小，这就是为什么我把这个数字标记为丑陋。但是，我们正朝着正确的方向前进。在某些情况下，这个数字可能是合理的。我在这里的主要批评并不是标签不清晰，因为数字不平衡;与图的其余部分相比，文本元素太小。

![](img/28aced1882df2b05e2fb254020541d05.jpg)

图 24.2：男性运动员体脂百分比与身高的关系。这个数字是对图 24.1 的改进，但是文本元素仍然太小而且数字不平衡。数据来源：特尔福德和坎宁安（ [1991](#ref-Telford-Cunningham-1991) ）

下图使用了我在本书中应用的默认设置。我认为它很平衡，文字清晰可见，并且符合图形的整体大小。

![](img/8b4457f612e6b7dd6734ca2d51e0161d.jpg)

图 24.3：男性运动员的体脂百分比与身高的关系。所有图形元素都适当缩放。数据来源：特尔福德和坎宁安（ [1991](#ref-Telford-Cunningham-1991) ）

重要的是，我们可以过度使用并使标签太大（图 24.4 ）。有时我们需要大标签，例如，如果要减小图形的大小，但图形的各种元素（特别是标签文本和图形符号）需要组合在一起。在图 24.4 中，用于可视化数据的点相对于文本而言太小。一旦我们解决了这个问题，这个数字就会再次被接受（图 24.5 ）。

![](img/30e093b0ae60d1f10fbda91f19de80d4.jpg)

图 24.4：男性运动员的体脂百分比与身高的关系。文本元素相当大，如果要以非常小的比例复制图形，它们的大小可能是合适的。但是，这个数字总体上并不平衡;这些点相对于文本元素来说太小了。数据来源：特尔福德和坎宁安（ [1991](#ref-Telford-Cunningham-1991) ）

![](img/f3c82f86a468614420a3f361b5c89410.jpg)

图 24.5：男性运动员的体脂百分比与身高的关系。所有图形元素的大小使得图形平衡并且可以小规模再现。数据来源：特尔福德和坎宁安（ [1991](#ref-Telford-Cunningham-1991) ）

您可以查看图 24.5 ，发现一切都太大了。但是，请记住，它应该按比例缩小。缩小图形，使其宽度只有一英寸或两英寸，看起来很好。实际上，在这种扩展中，这是本章中唯一看起来很好的数字。

始终查看图形的缩小版本，以确保轴标签尺寸合适。

我认为有一个简单的心理原因，为什么我们经常制作轴标签太小的数字，它与大型，高分辨率的电脑显示器有关。我们经常在计算机屏幕上预览数字，通常我们这样做，而数字在屏幕上占用了大量空间。在这种观看模式中，即使相对较小的文本看起来也非常精细和清晰，大文本看起来很笨拙和压倒性。事实上，如果你从本章中取出第一个数字并将其放大到它填满整个屏幕的程度，你可能会认为它看起来很好。解决方案是始终确保以真实的打印尺寸查看图形。你可以缩小它们在屏幕上只有三到五英寸的宽度，或者你可以去你房间的另一边检查这个数字是否在相当长的距离内看起来很好。

### 参考

特尔福德，R。D.和 R. B. Cunningham。 1991 年。“高度训练的运动员的血液学的性别，体育和身体尺寸依赖性。”_ 运动和运动中的医学和科学 _ 23：788-94。